Bug 50 - need summary
need summary
Product: Red Hat Linux
Classification: Retired
Component: gmp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 1998-11-12 00:07 EST by paulmatthews
Modified: 2014-03-19 07:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-02-11 14:07:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description paulmatthews 1998-11-12 00:07:16 EST
gmp-devel-2.0.2-5 is missing /usr/include/gmp-mparam.h.
Makes it difficult to use gmp with the low level interface.
Comment 1 Derek Tattersall 1998-11-19 12:00:59 EST
/usr/include/gmp-mparam.h is missing from the gmp-devel rpm as
Comment 2 Michael K. Johnson 1998-11-24 16:45:59 EST
The gmp package does not install a gmp-mparam.h header file by
default, nor is gmp-mparam.h covered in the gmp documentation.
The gmp package includes in several subdirectories several files
named gmp-mparam.h, but no instructions that they are anything
other than an internal header file.  If gmp is supposed to install
gmp-mparam.h, then it is a bug in gmp.  I can't tell if the gmp
maintainers consider this a bug or not, but you are welcome to
take it up with them.
Comment 3 Michael K. Johnson 1999-02-11 13:50:59 EST
Since several applications assume that the gmp source code is
installed for the express purpose of getting at gmp-mparam.h, I
decided that whether or not it is a bug in gmp, I'll fix it for
Red Hat users by putting the gmp-mparam.h file chosen at build
time in /usr/include/gmp-mparam.h
Comment 4 Michael K. Johnson 1999-02-11 14:07:59 EST
Fixed in gmp-devel-2.0.2-7.  Will not be released as an erratum
against 5.2, but will be in RawHide and subsequent official

Note You need to log in before you can comment on or make changes to this bug.